class simec::config (
$datadir       = $::simec::params::datadir,
$db_username   = $::simec::params::db_username,
$db_password   = $::simec::params::db_password,
$db_name       = $::simec::params::db_name,
$db_host       = $::simec::params::db_host,
$db_port       = $::simec::params::db_port,
$apacheuser    = $::simec::params::apacheuser,
$emails	      = $::simec::params::emails,
	
) inherits simec::params {
	
	# Config arquivo principal de configuracao
	
	file { "${datadir}/global/config.inc":
        	ensure  => present,
        	owner   => $apacheuser,
        	mode    => '0400',
        	content => template('simec/configinc.erb'),
        	require => Vcsrepo[$datadir],
      	}		
	file { "${datadir}/global/database.php":
                ensure  => present,
                owner   => $apacheuser,
                mode    => '0400',
                content => template('simec/database.erb'),
                require => Vcsrepo[$datadir],
        }
}
