class simec::install (
$datadir     = $::simec::params::datadir,
$packages    = $::simec::params::packages,
$vcsprovider = $::simec::params::vcsprovider,
$repoensure  = $::simec::params::repoensure,
$source      = $::simec::params::source,

) inherits simec::params {

	package { $packages :
   		 ensure => present,
	}

  	package { $vcsprovider :
    		ensure => present,
  	}
	
	vcsrepo { $datadir:
		 ensure   => $repoensure,
      		 provider => $vcsprovider,
     		 source   => $source,
      		 require  => Package[$vcsprovider],
    	}
}
