class simec::params {
	$vhost                 = 'simec.dominio.gov.br'
  	$db_username           = 'user_simec'
  	$db_password           = '841j8K9J67p788x'
  	$db_name               = 'db_simec'
  	$db_host               = "$::ipaddress"
  	$db_port               = '5432'	
	$datadir               = '/var/www/html/simec/'
	$repoensure            = 'present'
	$vcsprovider           = 'git'
	$source                = 'https://softwarepublico.gov.br/gitlab/simec/simec.git'
	$emails		       = 'seuemail@dominio'

	case $::osfamily {

	    'RedHat': {
	      $apacheuser = 'apache'
	      $packages   = [
	        'php-pgsql',
	        'php-gd',
	        'php-mbstring',
	        'php-bcmath',
	        'php-soap',
	        'gzip',
	      ]
	
	    }
	
	    'Debian': {
	      $apacheuser = 'www-data'
	      $packages   = [
	        'php5-pgsql',
	        'php5-gd',
	        'php5-curl',
	        'php-soap',
	        'gzip',
	        'sudo',
	      ]
	    }

	    default: {
	      fail("${module_name} module is not supported on osfamily ${::osfamily}.")
	    }
	
	  }
} 
